darcs

Issue 2335 Darcs add on a directory is too verbose with regards to existing files

Title Darcs add on a directory is too verbose with regards to existing files
Priority Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List brad.frank@gmail.com
Assigned To
Topics

Created on 2013-07-24.14:42:33 by brad.frank@gmail.com, last changed 2013-12-02.20:44:52 by noreply.

Messages
msg16933 (view) Author: brad.frank@gmail.com Date: 2013-07-24.14:42:31
1. Summarise the issue (what were doing, what went wrong?)
Whenever I do `darcs add -r .` I get a message listing all the files in 
the directory that were already added, which could be a really long list.
 
2. What behaviour were you expecting instead?
Darcs should only attempt to add files that aren't already added, if a 
directory is passed to darcs add (in this example '.').
 
Further, if -v is passed, darcs should show the files it ignored since 
they were already added, i.e. something like "skipping already added file: 
./foo".
 
3. What darcs version are you using? (Try: darcs --exact-version)
2.8.4
 
Example:
I have a repo with 3 files in it that have been recorded in the first 
revision:
_darcs  a.txt   b.txt   c.txt
     
I add a new file d.txt
_darcs  a.txt   b.txt   c.txt   d.txt
     
I do a darcs status
a ./d.txt
     
I do a darcs add -r .
The following files are already in the repository;
note that to ensure portability we don't allow
files that differ only in case. Use --case-ok to override this:
c.txt
b.txt
a.txt
 
Guillaume's recent patch will now list the fact that d.txt was added, but 
it would be much nicer if darcs didn't mention a.txt, b.txt, c.txt unless 
I specify the -v option.
msg17066 (view) Author: gh Date: 2013-10-11.18:00:14
Yes, maybe the message "The following files are already in the
repository..." (with file listing) is too much.

But on the other hand I would not like darcs not telling me at all that
some files were not added because they are already versioned (especially
when at last no file are added).

How about this: when -v is not passed, show a message like "Some files
are already in the repository and were not added.", and when -v is
passed, show the current message?
msg17067 (view) Author: brad.frank@gmail.com Date: 2013-10-11.18:03:49
This sounds like a good idea
msg17103 (view) Author: noreply Date: 2013-12-02.20:44:52
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue issue2335 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2335: one liner when adding tracked files if not verbose 
Ignore-this: 8d7d2f258f7fa28324f80f892b67d366
History
Date User Action Args
2013-07-24 14:42:33brad.frank@gmail.comcreate
2013-10-11 18:00:15ghsetmessages: + msg17066
2013-10-11 18:03:50brad.frank@gmail.comsetmessages: + msg17067
2013-12-02 20:44:52noreplysetstatus: unknown -> resolved
messages: + msg17103
resolvedin: 2.10.0 HEAD